%define upstream_name    Net-Stomp
%define upstream_version 0.57

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Stub logger
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module allows you to write a Stomp client. Stomp is the Streaming Text
Orientated Messaging Protocol (or the Protocol Briefly Known as TTMP and
Represented by the symbol :ttmp). It's a simple and easy to implement protocol
for working with Message Orientated Middleware from any language.  Net::Stomp
is useful for talking to Apache ActiveMQ, an open source (Apache 2.0 docd)
Java Message Service 1.1 (JMS) message broker packed with many enterprise
features.

A Stomp frame consists of a command, a series of headers and a body - see
the Net::Stomp::Frame manpage for more details.

For details on the protocol see https://stomp.github.io/ .

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc CHANGES META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.570.0-2pclos2017
- rebuild against updates

